Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::ParameterInfo Class Reference

This class stores information about a function parameter. More...

List of all members.

## Public Types
enum | ParameterAttributes { NONE = 0, IN = 1, OUT = 2, INOUT = IN | OUT }
## Public Member Functions
| ParameterInfo (const std::string &name, const Type &type, int attribs, const Value &defval=Value())
| Direct initialization constructor.
const std::string & | getName () const
| Returns the parameter's name.
const Type & | getParameterType () const
| Returns the parameter's type.
int | getAttributes () const
| Returns the parameter's attributes.
const Value & | getDefaultValue () const
| Returns the default value.
bool | isIn () const
| Returns whether the parameter has the IN attribute.
bool | isOut () const
| Returns whether the parameter has the OUT attribute.
bool | isInOut () const
| Returns whether the parameter has both the IN and the OUT attribute.

## Detailed Description

This class stores information about a function parameter.

A parameter is defined by its name, its type, its position within the parameter list, and zero or more attributes. Attributes describe how the parameter behave, for example whether it is an input or an output parameter.

## Member Enumeration Documentation

enum osgIntrospection::ParameterInfo::ParameterAttributes

  | Enumeration values:
  NONE |
  IN |
  OUT |
  INOUT |

## Constructor & Destructor Documentation

osgIntrospection::ParameterInfo::ParameterInfo | ( | const std::string & | name,
|  | const Type & | type,
|  | int | attribs,
|  | const Value & | defval = Value()
| ) | `[inline]`

| Direct initialization constructor.

## Member Function Documentation

int osgIntrospection::ParameterInfo::getAttributes | ( |  | ) | const`[inline]`

| Returns the parameter's attributes.

const Value & osgIntrospection::ParameterInfo::getDefaultValue | ( |  | ) | const`[inline]`

| Returns the default value.

const std::string & osgIntrospection::ParameterInfo::getName | ( |  | ) | const`[inline]`

| Returns the parameter's name.

const Type & osgIntrospection::ParameterInfo::getParameterType | ( |  | ) | const`[inline]`

| Returns the parameter's type.

bool osgIntrospection::ParameterInfo::isIn | ( |  | ) | const`[inline]`

| Returns whether the parameter has the IN attribute.

bool osgIntrospection::ParameterInfo::isInOut | ( |  | ) | const`[inline]`

| Returns whether the parameter has both the IN and the OUT attribute.

bool osgIntrospection::ParameterInfo::isOut | ( |  | ) | const`[inline]`

| Returns whether the parameter has the OUT attribute.

The documentation for this class was generated from the following file:

- ParameterInfo